GCM< T_BlockCipher, T_TablesOption > Struct Template Reference

GCM More...

`#include <gcm.h>`

Inheritance diagram for GCM< T_BlockCipher, T_TablesOption >:

## Public Types

typedef GCM_Final < T_BlockCipher, T_TablesOption, true > | Encryption
typedef GCM_Final < T_BlockCipher, T_TablesOption, false > | Decryption

## Detailed Description

### template<class T_BlockCipher, GCM_TablesOption T_TablesOption = GCM_2K_Tables>
struct GCM< T_BlockCipher, T_TablesOption >

GCM

Definition at line 98 of file gcm.h.

The documentation for this struct was generated from the following file:

- gcm.h